WordPress.org

Forums

[resolved] [closed] just updated to 3.6 (31 posts)

  1. stufa88
    Member
    Posted 1 year ago #

    Hi, i just updated to version 3.6. Now when i save posts i get these 3 errors

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/huertosh/public_html/wp-content/plugins/eshop/eshop-product-entry.php on line 341 and defined in /home/huertosh/public_html/wp-includes/wp-db.php on line 992

    Warning: Cannot modify header information - headers already sent by (output started at /home/huertosh/public_html/wp-includes/wp-db.php:992) in /home/huertosh/public_html/wp-admin/post.php on line 222

    Warning: Cannot modify header information - headers already sent by (output started at /home/huertosh/public_html/wp-includes/wp-db.php:992) in /home/huertosh/public_html/wp-includes/pluggable.php on line 875

    Then when i look at page in browser window, the page is there but missing the photos for the post pages. If i reneter the pages and save again, i get the same error but the photos appear. Its not life or death, but it is an irritating waste of time.

    I am not php savvy, how can this be fixed? Heres the site but its as i write with all images displaying http://www.huertoshop.com

    Thanks

    Stuart

  2. esmi
    Forum Moderator
    Posted 1 year ago #

    What version of eShop are you using?

  3. stufa88
    Member
    Posted 1 year ago #

    thanks for the quick response.

    an older version, version 2.4... we've made loads of updates that if we update the eshop we'll lose

  4. esmi
    Forum Moderator
    Posted 1 year ago #

    Then you have a problem, I'm afraid. The issues you have are being caused by the fact that you are using an ancient, hacked, version of the plugin. We (as in eShop's developers) only support the current, unhacked, version of the plugin.

  5. stufa88
    Member
    Posted 1 year ago #

    hmmm, thanks for the awful news. however, as i still seem to be able to maintain my content, despite the irritating error, i guess i have the option of just living with it (at least until it gets worse and worse), right?

  6. esmi
    Forum Moderator
    Posted 1 year ago #

    Right now, I couldn't even be sure that the plugin will work properly. The plugin is so old that it may stop working completely and/or may pose a security risk for the site as a whole. eShop is now on version 6.3.11

  7. stufa88
    Member
    Posted 1 year ago #

    thanks esmi. i'm back in touch with the guy that did the site, see what we can sort out.

    you've been a great help, even if i hate the answer!

    s

  8. esmi
    Forum Moderator
    Posted 1 year ago #

    Sorry I couldn't be of more help but I do encourage you to keep WordPress and all themes & plugins updated for the best in terms of performance & security. With regard to eShop specifically. Never edit the core plugin. Build add-on plugins for your customisations instead. There is a lot of information on how to implement customisations at http://quirm.net/wiki/eshop/

  9. stufa88
    Member
    Posted 1 year ago #

    i think i'll have to change the theme to be honest... its not that great anyway. many functions didnt work (e.g cant show original price and sale price, have to type it into text). we'll see, time and money as always is the prob! thanks again

  10. esmi
    Forum Moderator
    Posted 1 year ago #

    The warnings aren't coming from the theme. They're coming from the old copy of eShop. It is simply not fully compatible with the current version of WordPress. Only eShop 6.3.11 is.

  11. stufa88
    Member
    Posted 1 year ago #

    hmmm that changes everything i have:

    eShop for WordPress
    Deactivate | Edit
    The accessible shopping cart for WordPress 3.0 and above.

    Version 16.2.8 | By Rich Pedley | Visit plugin site

    so therefore back to square one. it isnt an old version of the eshop plugin, as far as i can tell its the most up to date. however it isnt 6.3.11 its 16.2.8! and there is no info suggesting i can update it further

  12. esmi
    Forum Moderator
    Posted 1 year ago #

    There isn't a version 16.2.8 of eShop. The current version is 6.3.11.

  13. stufa88
    Member
    Posted 1 year ago #

    i opened the plugin and this is the first few lines

    <?php
    if ('eshop.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die ('<h2>Direct File Access Prohibited</h2>');
    if(!defined('ESHOP_VERSION'))
    define('ESHOP_VERSION', '6.2.8');
    /*
    Plugin Name: eShop for WordPress
    Plugin URI: http://wordpress.org/extend/plugins/eshop/
    Description: The accessible shopping cart for WordPress 3.0 and above.
    Version: 16.2.8
    Author: Rich Pedley
    Author URI: http://quirm.net/

  14. esmi
    Forum Moderator
    Posted 1 year ago #

    You are still not using the latest version of eShop. And you've said yourself that you've hacked your copy of the core plugin. So we can no longer predict what issues you may have introduced as a result. We simply do not support old or hacked copes of eShop.

  15. stufa88
    Member
    Posted 1 year ago #

    no, i was confused at the beginning. the theme was changed, not the eshop. that was the theme isnt updated. the eshop i dont think we touched other than text changes to spanish, which is easily redone

  16. stufa88
    Member
    Posted 1 year ago #

    hello - i hope you're on lunch and havent just walked away. I have established that i do have the eshop verdion for worpress 3.0 and above - and wordpress isnt telling me this is an updated version either - , and i havent changed anything within the plugin (the designer i mentioned previously has only changed the theme, not eshop) but i have these problems still. why?

    please help

    stuart

  17. esmi
    Forum Moderator
    Posted 1 year ago #

    You are not using the latest version of eShop. We do not support older versions. Please update eShop and then post in http://wordpress.org/support/plugin/eshop if you still have problems.

  18. stufa88
    Member
    Posted 1 year ago #

    i tell you i do have the latest eshop. i searched for the eshop plugin on wordpress witha view to updating mine. The search showed the latest plugin and also stated that it is installed. i cant attach the screenshot but here is a copy of the text

    eShop
    Details | Installed
    6.3.11
    eShop is an accessible shopping cart plugin for WordPress, packed with various features. Including:
    Utilises WordPress pages or posts, and compatible with custom post types, to create products
    Customers can sign up to your site (settable option)
    Various methods available for listing products
    Products can have multiple options
    Upload downloadable products
    Basic Statistics
    Download sales data
    Variā€¦ By Rich Pedley.

  19. esmi
    Forum Moderator
    Posted 1 year ago #

    According your your posts above, you are using eShop 6.2.8, 16.2.8 and 2.4.

    I'm sorry but we cannot replicate your problem using the current version of eShop, so this is specific to your site and/or install.

  20. stufa88
    Member
    Posted 1 year ago #

    is there are a way i can send you screen prints to justify all the above?

  21. esmi
    Forum Moderator
    Posted 1 year ago #

    These forums do not support the attachment of screen shots. As I said, we cannot replicate your problem using the current version of eShop (which has been extensively tested in WP 3.6).

    Once you have taken the time out to actually check what version of eShop you are using and whether it has been edited in any way, please post in http://wordpress.org/support/plugin/eshop

  22. stufa88
    Member
    Posted 1 year ago #

    i have taken a lot of time checking the version. please look at this link to understand why i, and therefore you are confused

    http://huertoshop.com/wp-content/uploads/2013/09/eshop_screenprints.pdf

    i'd be greatful

    Thanks

    Stuart

  23. esmi
    Forum Moderator
    Posted 1 year ago #

    There is no version 16.2.8 of eShop!

  24. stufa88
    Member
    Posted 1 year ago #

    have you looked at the screen prints?! do you understand what i can see?

    I can neither downlaod a new version 6.3.11 because apprantly i already have it installed but according to its details version 16.2.8 is installed

    so what do i do?

    why does it say that?

  25. esmi
    Forum Moderator
    Posted 1 year ago #

    Yes - and there is still no version 16.2.8 of eShop. Someone has hacked eShop at some point. We do not - and will not - support hacked versions of the plugin.

  26. stufa88
    Member
    Posted 1 year ago #

    how can you say that? that is the CURRENT eshop window info i just sent you - its live in wordpress

  27. esmi
    Forum Moderator
    Posted 1 year ago #

    Because I co-develop the plugin!

    There is no version 16.2.8.

    There never has been and there probably never will be.

    Your copy has been hacked. Contact the person who hacked it.

  28. stufa88
    Member
    Posted 1 year ago #

    thats nice to know.

    so, what happens if i uninstall and re-install the eshop plugin? do i get the right version? what info will i lose?

    will i have to re input the pricing and shipping only, or will there be more to do?

  29. esmi
    Forum Moderator
    Posted 1 year ago #

    Since you are using a hacked version of the plugin, I have no idea what the implications of uninstalling the plugin are.

  30. stufa88
    Member
    Posted 1 year ago #

    that is not support. you can make an educated guess. does the database remain intake for example? come on i am using your product and asking for support on a major issue

Topic Closed

This topic has been closed to new replies.

About this Topic